#ifdef STATISTICS
#include "Behavioural/include/Stat.h"

namespace morpheo {
namespace behavioural {

  Stat_binary_tree * Stat::string2tree     (std::string expr)
  {
    std::map<std::string, counter_t*> * operand = new std::map<std::string, counter_t*>;

    for (std::map<std::string, var_t>::iterator it = _list_operand->begin();
         it != _list_operand->end();
         ++ it)
      (*operand) [it->first] = it->second.counter;

    Stat_binary_tree * tree = new Stat_binary_tree(expr,operand);

    delete operand;

    return tree;
  }
  
};
};
#endif
